import { SearchParams } from '../types/Params';
import { SearchFields } from '../types/SearchProps';
import { PropType } from 'vue';
declare const __VLS_export: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    formData: {
        type: PropType<SearchFields>;
        required: true;
    };
    defaultCondition: {
        type: {
            (arrayLength: number): SearchParams[];
            (...items: SearchParams[]): SearchParams[];
            new (arrayLength: number): SearchParams[];
            new (...items: SearchParams[]): SearchParams[];
            isArray(arg: any): arg is any[];
            readonly prototype: any[];
            from<T>(arrayLike: ArrayLike<T>): T[];
            from<T, U>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): U[];
            from<T>(iterable: Iterable<T> | ArrayLike<T>): T[];
            from<T, U>(iterable: Iterable<T> | ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): U[];
            of<T>(...items: T[]): T[];
            readonly [Symbol.species]: ArrayConstructor;
        };
    };
    dialogInput: {
        type: BooleanConstructor;
        default: boolean;
    };
    mutComp: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {
    searchForm: import('vue').Ref<any, any>;
    setData: (data: any) => void;
    createSearchParams: (formData: any) => any[];
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    searchData: (...args: any[]) => void;
    initComplete: (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    formData: {
        type: PropType<SearchFields>;
        required: true;
    };
    defaultCondition: {
        type: {
            (arrayLength: number): SearchParams[];
            (...items: SearchParams[]): SearchParams[];
            new (arrayLength: number): SearchParams[];
            new (...items: SearchParams[]): SearchParams[];
            isArray(arg: any): arg is any[];
            readonly prototype: any[];
            from<T>(arrayLike: ArrayLike<T>): T[];
            from<T, U>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): U[];
            from<T>(iterable: Iterable<T> | ArrayLike<T>): T[];
            from<T, U>(iterable: Iterable<T> | ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): U[];
            of<T>(...items: T[]): T[];
            readonly [Symbol.species]: ArrayConstructor;
        };
    };
    dialogInput: {
        type: BooleanConstructor;
        default: boolean;
    };
    mutComp: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{
    onSearchData?: (...args: any[]) => any;
    onInitComplete?: (...args: any[]) => any;
}>, {
    dialogInput: boolean;
    mutComp: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
